# Web properties / WebConfig.java
spring.mvc.view.prefix=/WEB-INF/views/
spring.mvc.view.suffix=.jsp

spring.messages.basename=i18n.messages,i18n.validation

#@EnableAspectJAutoProxy
spring.aop.auto=true	

# Data properties / DataConfig.java
spring.datasource.driver-class-name=org.hsqldb.jdbc.JDBCDriver
spring.datasource.url=jdbc:hsqldb:mem:testdb;DB_CLOSE_DELAY=-1
spring.datasource.username=sa
spring.datasource.password=

# Data properties / others...
spring.datasource.hikari.connectionTimeout=20000
spring.datasource.hikari.maximumPoolSize=5

spring.jpa.hibernate.ddl-auto=update
spring.jpa.show-sql=true

# Core properties
logging.level.com.rwd.springFlow4B=debug
logging.file=D:/springBoot4War.log
#logging.pattern.console= %d{yyyy-MM-dd HH:mm:ss} - %logger{36} - %msg%n
#logging.pattern.file= %d{yyyy-MM-dd HH:mm:ss} [%thread] %-5level %logger{36} - %msg%

# Server properties
# http://localhost:12345/springFlowRWD/
server.port=12345
server.servlet.context-path=/springFlowRWD

# Actuator properties
management.endpoints.web.base-path=/actuator
management.endpoints.web.exposure.include=*
management.endpoint.shutdown.enabled=true
info.someMessage=Spring Sample Application
info.jimApp.description=This is my first spring boot application
info.jimApp.version=1.0.0
#spring.security.user.name=monitor
#spring.security.user.password=monitor123

#security.basic.enabled=false
